## imcode.util
Class CachingFileLoader

    java.lang.Object
      imcode.util.CachingFileLoader

    public class CachingFileLoader

extends java.lang.Object

Constructor Summary
`CachingFileLoader()`

Method Summary
`java.lang.String` `getCachedFileString(java.io.File file)` Fetch a file from the cache, if it hasn't changed on disk.
`java.lang.String` `getCachedFileStringIfRecent(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingFileLoader

    public CachingFileLoader()

Method Detail

### getCachedFileString

    public java.lang.String getCachedFileString(java.io.File file)
                                         throws java.io.IOException

  Fetch a file from the cache, if it hasn't changed on disk.

  Throws:
    `java.io.IOException`

### getCachedFileStringIfRecent

    public java.lang.String getCachedFileStringIfRecent(java.io.File file)